package cn.ibizlab.r7.runtime.core.client.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.client.model.IUserRoleDataAction;
import cn.ibizlab.r7.runtime.util.SearchContext;

/**
 * 实体[UserRoleDataAction] 服务对象接口
 */
public interface IUserRoleDataActionClientService{

    public IUserRoleDataAction createModel() ;

    public void save(IUserRoleDataAction userroledataaction);

    public void create(IUserRoleDataAction userroledataaction);

    public void update(IUserRoleDataAction userroledataaction);

    public void getDraft(IUserRoleDataAction userroledataaction);

    public void get(IUserRoleDataAction userroledataaction);

    public void checkKey(IUserRoleDataAction userroledataaction);

    public void remove(IUserRoleDataAction userroledataaction);

    public Page<IUserRoleDataAction> fetchDefault(SearchContext context);

}
